# Contacts Object

> Source: https://truto.one/docs/api-reference/unified-crm-api/contacts/

Schema for the `Contacts` resource in **Unified CRM API**.

## Properties

- **`id`** _(string, required)_
  The contact's unique identifier
- **`first_name`** _(string)_
  The contact's first name
- **`last_name`** _(string)_
  The contact's last name
- **`name`** _(string)_
  The contact's full name
- **`title`** _(string)_
  The contact's job title
- **`account`** _(object)_
  The contact's account
  - **`id`** _(string)_
    The account's unique identifier
  - **`name`** _(string)_
    The account's name
- **`addresses`** _(array<object>)_
  - **`id`** _(string)_
    The unique identifier of the address
  - **`street_1`** _(string)_
    Line 1 of the street address
  - **`street_2`** _(string)_
    Line 2 of the street address
  - **`city`** _(string)_
    The city
  - **`state`** _(string)_
    The state
  - **`postal_code`** _(string)_
    The postal code
  - **`country`** _(string)_
    The country
  - **`type`** _(string)_
    The address type
- **`email_addresses`** _(array<object>)_
  - **`id`** _(string)_
    The unique identifier of the email addresses
  - **`email`** _(string)_
    The email address
  - **`type`** _(string)_
    The email address type
- **`phone_numbers`** _(array<object>)_
  - **`id`** _(string)_
    The unique identifier of the phone number
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The phone number type
- **`tags`** _(array<object>)_
  The contact's tags
  - **`id`** _(string)_
    The tag's unique identifier
  - **`name`** _(string)_
    The tag's name
- **`custom_fields`** _(object)_
  All the custom fields present on the contact
- **`last_activity_at`** _(string)_
  The date and time of the contact's last activity
- **`created_at`** _(string)_
  The date and time of the contact's creation
- **`updated_at`** _(string)_
  The date and time of the contact's last update
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`owner`** _(object)_
  The account's owner
  - **`id`** _(string)_
    The owner's unique identifier
- **`urls`** _(array<object>)_
  The contact's urls
  - **`url`** _(string)_
    The contact's URL
  - **`type`** _(string)_
    The contact's URL type
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/crm/contacts](/docs/api-reference/unified-crm-api/contacts/list) — List Contacts
- [POST /unified/crm/contacts](/docs/api-reference/unified-crm-api/contacts/create) — Create Contacts
- [GET /unified/crm/contacts/{id}](/docs/api-reference/unified-crm-api/contacts/get) — Get Contacts
- [DELETE /unified/crm/contacts/{id}](/docs/api-reference/unified-crm-api/contacts/delete) — Delete Contacts
- [PATCH /unified/crm/contacts/{id}](/docs/api-reference/unified-crm-api/contacts/update) — Update Contacts
- [POST /unified/crm/contacts/merge](/docs/api-reference/unified-crm-api/contacts/merge) — Merge Contacts
- [POST /unified/crm/contacts/batch-delete](/docs/api-reference/unified-crm-api/contacts/batch-delete) — Batch Delete Contacts
